%define name conmen
%define version 0.3.221
%define release 1mdk

Summary:   Console menuscripts for Linux.
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source:    %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Group:     Shells
URL:       http://home.wanadoo.nl/cchq/conmen/index.html
Requires:  kcd qprompt cdialog
BuildArchitectures: noarch

%description

  These are menu scripts for the bash shell.
  The program uses cdialog.

%prep
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}/

%setup

%install

  mkdir -p ${RPM_BUILD_ROOT}/etc/conmen
  mkdir -p ${RPM_BUILD_ROOT}/usr/bin
  mkdir -p ${RPM_BUILD_ROOT}/usr/lib/conmen
  mkdir -p ${RPM_BUILD_ROOT}%{_menudir}
  cp conmen \
       	 cmcfg \
	 cmcdrecording \
         cmdialup \
         cmfloppy \
         cmgames \
         cmgraphics \
         cmm \
         cmmp3 \
         cmprint \
         cmsound \
         cmsystem \
         cmuser \
   ${RPM_BUILD_ROOT}/usr/bin

cp -r usr/lib/conmen ${RPM_BUILD_ROOT}/usr/lib
cp cmrc ${RPM_BUILD_ROOT}/etc/conmen
cd ${RPM_BUILD_ROOT}/usr/bin

ln -sf conmen cm

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(conmen): needs="x11" section="Applications/Shells" title="ConMen" longtitle="ConMen is a menu shell" command="%{name}"
EOF

%post 
%update_menus

%postun
%clean_menus

%clean
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] \
  && rm -rf ${RPM_BUILD_ROOT}/

%files
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog COPYING README TODO index.html cmbg.jpg
%config(noreplace) /etc/conmen/cmrc
%{_bindir}/*
%_menudir/*

%changelog
* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.221-1mdk
- updated to 0.3.221

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- BM

* Wed Jul 19 2000 Max Heijndijk <cchq@wanadoo.nl> 0.2-1mdk
- Upgraded to 0.2
- Made spec more readable

* Mon May 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- clean spec
- used srpm provided by Max Heijndijk <cchq@wanadoo.nl>
